unit OptionsU;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TOptionForm = class(TForm)
    RadioGroupAfmeting: TRadioGroup;
    RadioGroupKleuren: TRadioGroup;
    RadioGroupAnnuleren: TRadioGroup;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    RadioGroupTaal: TRadioGroup;
    procedure BtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure DutchGame;
    procedure EnglishGame;
  end;

var
  OptionForm: TOptionForm;
  ChangeFlag : boolean;

implementation

uses MontanaU;

{$R *.DFM}

procedure TOptionForm.DutchGame;
begin
  with RadioGroupAfmeting do
  begin
    Caption := '&Afmeting';
    Items[0] := '&Klein';
    Items[1] := '&Groot';
  end;
  with RadioGroupKleuren do
  begin
    Caption := '&Kleuren';
    Items[0] := '&Niet';
    Items[1] := '&Wel';
  end;
  with RadioGroupAnnuleren do
  begin
    Caption := '&Annuleren';
    Items[0] := '&Traag';
    Items[1] := '&Snel';
  end;
  with RadioGroupTaal do
  begin
    Caption := '&Taal';
    Items[0] := '&Nederlands';
    Items[1] := '&Engels';
  end;
end;

procedure TOptionForm.EnglishGame;
begin
  with RadioGroupAfmeting do
  begin
    Caption := '&Size';
    Items[0] := '&Small';
    Items[1] := '&Large';
  end;
  with RadioGroupKleuren do
  begin
    Caption := '&Colors';
    Items[0] := '&Disable';
    Items[1] := '&Enable';
  end;
  with RadioGroupAnnuleren do
  begin
    Caption := '&Cancel';
    Items[0] := '&Slow';
    Items[1] := '&Fast';
  end;
  with RadioGroupTaal do
  begin
    Caption := '&Language';
    Items[0] := '&Dutch';
    Items[1] := '&English';
  end;
end;

procedure TOptionForm.FormCreate(Sender: TObject);
begin
  if MontanaU.LargeFlag then RadioGroupAfmeting.ItemIndex := 1;
  if MontanaU.ColorFlag then RadioGroupKleuren.ItemIndex := 1;
  if MontanaU.FastFlag then RadioGroupAnnuleren.ItemIndex := 1;
  if MontanaU.DutchFlag then RadioGroupAnnuleren.ItemIndex := 0;
end;

procedure TOptionForm.BtnClick(Sender: TObject);
begin
  if (Sender as TBitBtn).tag = 1 then ChangeFlag := True else ChangeFlag := False;
end;

end.
