unit ChoiceU;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, ExtCtrls;

type
  TChoiceForm = class(TForm)
    RadioGroup1: TRadioGroup;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    OKButton: TButton;
    CancelButton: TButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure ButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure DutchGame;
    procedure EnglishGame;
  end;

var
  ChoiceForm: TChoiceForm;
  Choice : Integer;

implementation

{$R *.DFM}

procedure TChoiceForm.DutchGame;
begin
  with RadioGroup1 do
  begin
    Items[0] := '&Geselecteerd spel';
    Items[1] := '&Random spel';
  end;
  Label1.Caption := 'Spel no.';
  CancelButton.Caption := 'Annuleren';
end;

procedure TChoiceForm.EnglishGame;
begin
  with RadioGroup1 do
  begin
    Items[0] := '&Selected Game';
    Items[1] := '&Random Game';
  end;
  Label1.Caption := 'Game no.';
  CancelButton.Caption := 'Cancel';
end;

procedure TChoiceForm.RadioGroup1Click(Sender: TObject);
begin
  if RadioGroup1.ItemIndex = 0 then
  begin
    Label1.Visible := True;
    SpinEdit1.Visible := True;
  end
  else
  begin
    Label1.Visible := False;
    SpinEdit1.Visible := False;
  end;
end;

procedure TChoiceForm.ButtonClick(Sender: TObject);
begin
  if (Sender as TButton).Tag = 2 then Choice := Choice
  else if RadioGroup1.ItemIndex = 0 then Choice := SpinEdit1.Value
  else Choice := 0;
  Close;
end;

procedure TChoiceForm.FormCreate(Sender: TObject);
begin
  SpinEdit1.Value := Choice;
end;

end.
