unit NameU;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, IniFiles;

type
  TNameForm = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    BitBtn1: TBitBtn;
    procedure ListBox1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure DutchGame;
    procedure EnglishGame;
  end;

var
  NameForm: TNameForm;
  max : integer;

implementation

uses MontanaU;

{$R *.DFM}

procedure TNameForm.DutchGame;
begin
  Label1.Caption := 'Tik je naam in, of kies deze';
end;

procedure TNameForm.EnglishGame;
begin
  Label1.Caption := 'Select or type your name';
end;

procedure TNameForm.FormCreate(Sender: TObject);
var
  IniFile : TIniFile;
  i : integer;
begin
  IniFile := TIniFile.Create(MontanaU.MontanaIniFileName);
  with IniFile do
  begin
    max := ReadInteger('Names', 'num', 0);
    for i := 1 to max do
      Listbox1.Items.add(ReadString('Names', 'Name' + IntToStr(i), ''));
    Edit1.Text := ReadString('Names', 'Last', '');
  end;
  IniFile.Free;
end;

procedure TNameForm.ListBox1Click(Sender: TObject);
var idx : Integer;
begin
  idx := Listbox1.ItemIndex;
  if idx >= 0 then Edit1.Text := Listbox1.Items[idx];
end;

procedure TNameForm.BitBtn1Click(Sender: TObject);
var
  IniFile : TIniFile;
  num, i : integer;
begin
  MontanaU.Player := Edit1.Text;
  Num := -1;
  for i := 0 to max - 1 do
  if Listbox1.Items[i] = Edit1.Text then num := i;
  IniFile := TIniFile.Create(MontanaU.MontanaIniFileName);
  with IniFile do
  begin
    if num = -1 then
    begin
      Listbox1.Items.add(Edit1.Text);
      max := ReadInteger('Names', 'num', 0) + 1;
      WriteInteger('Names', 'num', max);
      WriteString('Names', 'Name' + IntToStr(max), Edit1.Text);
    end;
    WriteString('Names', 'Last', Edit1.Text);
  end;
  IniFile.Free;
end;

end.
